UDT Reference: Functions

#### getlasterror

The getlasterror method the last UDT error within the same thread.

ERRORINFO& getlasterror(
);

##### Parameters

  None.

##### Return Value

The last UDT error within the same thread is retrieved and returned in an ERRORINFO structure. If there is no error, a special SUCCESS code (0) will be returned. The getlasterror will always succeed. The returned value is a reference to the internal UDT ERRORINFO structure and application may clear it if necessary.

##### Description

The getlasterror method reads the last UDT error in the thread where this method is called. The error information is stored in thread specific storage.

##### See Also

Error Code List, Error Handling